SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

USE [SyncDemoServer]
GO

-- Key Generation
IF NOT EXISTS(SELECT [pk_row_id_local] FROM [dbo].[KeyGeneration]) BEGIN
	INSERT INTO [dbo].[KeyGeneration]
           ([pk_client] ,[pk_table_name],[pk_client_name],[pk_row_id_local])
     VALUES( 0          ,'dbo.FakeTable','Zero'           ,0)
	INSERT INTO [dbo].[KeyGeneration]
           ([pk_client] ,[pk_table_name],[pk_client_name],[pk_row_id_local])
     VALUES( 1          ,'dbo.FakeTable','One'           ,0)
END

GO


-- Anchor
IF NOT EXISTS(SELECT [anc_table] FROM [dbo].[Anchor]) BEGIN
	INSERT INTO [dbo].[Anchor]
           ([anc_table] ,[anc_sent],[anc_received])
     VALUES
           ('dbo.FakeTable',NULL,NULL)
END

GO